# Package net.i2p.i2ptunnel.socks

- Class Summary
  Class | Description
  --- | ---
  I2PSOCKSIRCTunnel |
  I2PSOCKSTunnel |
  MultiSink | Sends to one of many Sinks
  ReplyTracker | Track who the reply goes to
  SOCKS4aServer |
  SOCKS5Server |
  SOCKSHeader | Save the SOCKS header from a datagram Ref: RFC 1928
  SOCKSServer | Abstract base class used by all SOCKS servers.
  SOCKSServerFactory | Factory class for creating SOCKS forwarders through I2P
  SOCKSUDPPort | Implements a UDP port and Socks encapsulation / decapsulation.
  SOCKSUDPTunnel | A Datagram Tunnel that can have multiple bidirectional ports on the UDP side.
  SOCKSUDPUnwrapper | Strip a SOCKS header off a datagram, convert it to a Destination Ref: RFC 1928
  SOCKSUDPWrapper | Put a SOCKS header on a datagram Ref: RFC 1928

- Exception Summary
  Exception | Description
  --- | ---
  SOCKSException | Exception thrown by socket methods